{ config, lib, pkgs, ... }:

let
  cfg = config.samfelag.modules.shell.utils;
in
{
  options.samfelag.modules.shell.utils = {
    enable = lib.mkEnableOption "Basic shell utils";
  };
  config = lib.mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      bat
      eza
      fd
      fzf
      jq
      ripgrep
      tldr
    ];
    hm.xdg.configFile."shell".source = ../../config/shell;
  };
}
